baseURL = "http://alexandre.meyer.pages.univ-lyon1.fr/lifami/"
title = "LIFAMI"
theme = "congo"
languageCode = "fr-FR"
enableInlineShortcodes = true
pygmentsCodeFences = true
pygmentsUseClasses = true

publishDir = "public"


[params]
  description = "LIFAMI Applications en Mathématiques et Informatique"
  copyright = ""
  dark = "auto"
  highlight = true
  mainSections = "personnage;controle;posts"
  #color = "gray"           # Any color in CSS syntax
  #width = "52rem"          # Any length in CSS syntax
  colorScheme = "fire"
  # footer= ""
  # rss = "" 
  article.showDate = false
  favicon = "favicon.ico"



# [[footer]]
#   name = "Privacy"
#   url = "https://external-link"
#   - name: Aboutaaa
#     url: about/
#     weight: 1

[menu]
    [[menu.main]]
        identifier = "Cours"
        name = "Cours"
        title = "Cours"
        url = "/cours/"
        weight = 1
 
    [[menu.main]]
        identifier = "Planning et examens"
        name = "Planning"
        title = "Planning et examens"
        url = "/planning/"
        weight = 2

    [[menu.main]]
        identifier = "Mini-projet"
        name = "Mini-projet"
        title = "Mini-projet"
        url = "/miniprojet/"
        weight = 3

    [[menu.main]]
        identifier = "Grapic"
        name = "Grapic"
        title = "Grapic"
        url = "/grapic/"
        weight = 4

  
[permalinks]
  posts = "/:title/"

[markup.goldmark.renderer]
  # Allow HTML in Markdown
  unsafe = true

  [markup.tableOfContents]
    ordered = true

